Help for error messages

Windows 2000 provides troubleshooting information for some of the more commonly encountered system errors. This troubleshooting information will help you diagnose the problem and get back to work as quickly as possible.

When you click the Help button in an error message dialog box, you will get the following information:

  • A detailed description of the error.
  • Suggestions for resolving the error.
  • A list of related tools and Help topics that may help you prevent the error from occurring in the future.

Related Topics


Compile Date

 Compile Date: 10/7/99


Device Manager Error Code 24

The device is missing or is not working properly. If it is a Plug and Play device, the device drivers may not be installed or the device drivers have not yet been accessed by Windows 2000. If it's a hidden device, the device driver is not present. If it is a non-Plug and Play device, Windows 2000 may not be detecting it.

Drivers that display a yellow circle with exclamation mark in front of them are not working properly. If the device does not have the yellow circle with exclamation mark in front of it but still has an error, the device driver is working properly. Detach and then reattach the device.

Quick solutions

  • Verify that the device is attached to the computer correctly. For example, make sure all cables are plugged in securely and that all adapter cards are tightly seated in their slots.
  • Uninstall and then reinstall the device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • If uninstalling and then reinstalling the device didn't work, verify that you have the correct drivers installed and update them if necessary.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Uninstalling devices.
  • See View the status of a device.
  • See To print information about a specific device.
  • You can search for more information about Device Manager error codes through online product support at the Microsoft Web site (http://www.microsoft.com/).


Device Manager Error Code 2

Either the device loader could not load the device, or Windows 2000 could not load the device driver because the computer is reporting two bus types.

Quick solutions

  • Uninstall and then reinstall the device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • Verify that you have the correct drivers installed and update them if necessary. If Windows 2000 reports the wrong bus information, your computer needs a new BIOS.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Uninstalling devices.
  • See View devices and resource settings.
  • See View the status of a device.


Device Manager Error Code 31

This device depends on another device that is not functioning correctly.

Quick solutions

  • Repair the associated device. Check to see if that device has any associated Device Manager error codes.
  • Uninstall and then reinstall the associated device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • Verify that you have the correct drivers installed for the associated device and update them if necessary.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Configuring devices.
  • See Uninstalling devices.


Device Manager Error Code 10

The device failed to start (it might be missing or is not working properly).

Quick solutions

  • Verify that the device is attached to the computer correctly (make sure all cables are plugged in securely and that all adapter cards are tightly seated in their slots).
  • Uninstall and then reinstall the device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • Verify that you have the correct drivers installed and update them if necessary. Contact the hardware manufacturer for updated device drivers.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Uninstalling devices.


Device Manager Error Code 29

The device was disabled by a user through the BIOS setup program, or it has been disabled by the computer's BIOS because it is not needed in the current configuration.

Quick solutions

  • Try enabling or disabling the device using the computer's BIOS setup program. Windows 2000 cannot override this setting. Consult the documentation that came with your computer or contact the computer's manufacturer for assistance with using the computer's BIOS setup program.

    • Warning

    • Incorrectly configuring your computer's BIOS may prevent it from starting. Write down all of your computer's BIOS settings before making any changes so you can restore the BIOS settings if necessary.
  • Verify that the device is attached to the computer correctly (make sure all cables are plugged in securely and that all adapter cards are tightly seated in their slots).
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Configuring devices.
  • See View devices and resource settings.


Device Manager Error Code 3

The system has run out of memory or the device driver for this device is corrupt.

Quick solutions

  • Uninstall and then reinstall the device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • Verify that you have the correct drivers installed and update them if necessary. Contact the hardware manufacturer for updated device drivers.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Install additional RAM in your computer
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See View devices and resource settings.


Device Manager Error Code 16

The device was not fully detected. When a device is not fully detected, all of its resources may not be recorded.

Quick solutions

  • If the device has a ? over its icon in Device Manager, manually change the device's resource settings.
  • Uninstall and then reinstall the device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • Verify that you have the correct drivers installed and update them if necessary. Contact the hardware manufacturer for updated device drivers.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Configuring devices.
  • See Uninstalling devices.
  • See View devices and resource settings.


Device Manager Error Code 19

Windows 2000 could not retrieve the device's information from the registry.

Quick solutions

  • Uninstall and then reinstall the device.
    • See Uninstall a non-Plug and Play device.
    • See Reinstall a Plug and Play device.
  • Verify that you have the correct drivers installed and update them if necessary. Contact the hardware manufacturer for updated device drivers.
    • See View information about a device driver.
    • See Update or change a device driver.
  • Verify that the system has full control of the Enum subkey and all subsequent subkeys in the registry:

    • Caution

    Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data.

    1. Click Start, click Run, type regedt32, and then click OK.
    2. Select the following subkey:

      3. HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Enum

    3. On the Security menu, click Permissions.
    4. In the Permissions for Enum dialog box, verify that SYSTEM has full control access.
    5. If not, select SYSTEM in the list and in Permissions, check Full Control.
    6. Click Advanced, and then select the Reset permissions on all child objects and enable propagation of inheritable permissions check box to make this change in all subsequent subkeys.
    7. Restart your computer for this change to take effect.

      8. Important

      • If you make a mistake that results in your computer not starting properly, you can restore the registry.

      Note

      • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • Start the Hardware troubleshooter.

More about Device Manager

  • See Device Manager overview.
  • See Configuring devices.
  • See Uninstalling devices.


Could not connect to printer

You could not print to the current printer because:

  • The printer was renamed or deleted and slow network response time has prevented the printer list from showing the updated printer information.
  • The print server is not available. For example, the network is down or the server is shut down.
  • The print server cannot be reached because you are not a member of the same domain; that is, you do not have access to the print server.
  • The printer driver is corrupt or failed to install correctly. For example, you are using non-Microsoft supplied printer drivers that are not compatible with Windows 2000.

Quick solutions

  • Contact the system administrator to make sure that the printer exists and that the network is functioning properly.
  • Try printing the document on another printer.
  • If these suggestions do not solve the problem, start the Print troubleshooter.

More about printing

  • See To transfer documents to another printer.
  • See To connect to a printer on a network.
  • See To add a printer attached to your computer.